# AI4NP_School
Notebooks and saved models for the AI4NP School

This material is targeted for the sessions on "Variational Monte Carlo".  There are several presentations of techniques, and a number of interactive workbooks.

The agenda for this sessions is: 

1. Introduction to the nuclear many-body problem and to the variational quantum Monte Carlo method. Metropolis–Hastings algorithm and energy optimization techniques;
2. Solving the quantum Harmonic Oscillator with variational Monte Carlo and analytic trial wave functions;
3. Tensorflow and simple surrogate models - 
  A) Introduction to Advanced Autograd Concepts (Tensorflow);
  B) Solution of the Harmonic Oscillator with simple neural networks;
4. Solution of the Hydrogen Atom with Metropolis Walk.

There are several extra notebooks in this repo that you are welcome to look through, but may not be covered live in the sessions.  For example, "Tensorflow 2nd Derivatives.ipynb" and "Hydrogen Atom Excited State.ipynb".  You are welcome to look through the 2nd derivatives notebook for supplementary details about computing the $\nabla$ operator in tensorflow.  The hydrogen excited state is not functional - you can look through the notebook more to learn why if you want!

For questions about these materials, you can:
- ask on Piazza (so others can see your question)
- open and issue on this github (so others can see your question and our answer)
- directly contact Alessandro and Corey, the instructors, though if we get too many direct messages we may miss some unintentionally.
